Get logging options
curl --request GET \
--url https://quark.bot/api/servers/{guild_id}/config/logging/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://quark.bot/api/servers/{guild_id}/config/logging/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quark.bot/api/servers/{guild_id}/config/logging/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "301655085954367490",
"spoilers": 0,
"format_type": 0,
"ignore_bot_targets": 0,
"ignore_bot_executors": 0,
"active_ignore": 0,
"buttons": 123,
"pluralkit_integration": 0,
"pro_promotions": 0
}
]{}{}{}{}Logging settings
Get logging options
Returns the server-wide logging options.
GET
/
servers
/
{guild_id}
/
config
/
logging
/
settings
Get logging options
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The server's ID. Must be the server the token was created for.
Pattern:
^\d{17,20}$Example:
"301655085954367490"
Query Parameters
Set to pro to act on the Quark Pro bot's configuration. Leave out for the main Quark bot.
Available options:
pro Response
One row.
The server ID.
Pattern:
^\d{17,20}$Example:
"301655085954367490"
1 if re-posted files are marked as spoilers.
Available options:
0, 1 Log format. 0 is Standard, 2 is Standard (no embed).
Available options:
0, 2 1 if actions done to bots are not logged.
Available options:
0, 1 1 if actions done by bots are not logged.
Available options:
0, 1 Reserved.
Available options:
0, 1 Bitfield of the standard buttons shown on logs. 1 is User ID, 2 is Support Server, 4 is Customise.
1 if PluralKit compatibility is on.
Available options:
0, 1 1 if logs may include a note when part of a log needs Quark Pro.
Available options:
0, 1 Was this page helpful?

